import java.io.*;
import java.util.*;
import java.math.*;

public class e2{
	static BigInteger[] p=new BigInteger[10010];
	static BigInteger C(int n, int k){
		if(k<0||k>n)return BigInteger.ZERO;
		if(n<=0)return BigInteger.ZERO;
		return p[n].divide(p[k]).divide(p[n-k]);
	}
	public static void main(String args[]){
		Scanner cin=new Scanner(System.in);
		p[3]=BigInteger.valueOf(4);
		p[4]=BigInteger.valueOf(7);
		for(int i=5; i<=10000; i++){
			p[i]=p[i-1].add(p[i-2]);
		}
		while(cin.hasNext()){
			int n=cin.nextInt();
			System.out.println(p[n]);
			//res=res.multiply(n);
		}
	}
}
